Difficulty with installation

To whom it may concern:

Please know that we recently migrated our systems to Rocky Linux release 8.7 (Green Obsidian). We have installed postgresql-12, and it is running. After following the instructions to install OpenPBS on the github site, the following messages were obtained.

Starting PBS
PBS Home directory /var/spool/pbs needs updating.
Running /opt/pbs/libexec/pbs_habitat to update it.


*** Error initializing the PBS dataservice
Error details:
/usr/bin exists, binaries missing…exiting

Please advise.

Sincerely,

Bill McLaughlin

hey @wamclaughlin - thank you for trying out openPBS.
The error that you are seeing is because postgresql-server package is not installed.

There is a good chance that some other packages are also missing - please look at the INSTALL file. This file is not updated for Rocky Linux 8 - but you will get an idea of the dependencies that are needed to be installed.

Hi Prakash:

Thank you for the input.

Please see the output from following the installation instructions below.

[root@cc-3dfr webapps]# dnf install -y dnf-plugins-core
Last metadata expiration check: 0:17:55 ago on Tue 10 Jan 2023 01:53:33 PM EST.
Package dnf-plugins-core-4.0.21-14.1.el8.noarch is already installed.
Dependencies resolved.
Nothing to do.
Complete!
[root@cc-3dfr webapps]# dnf config-manager --set-enabled powertools
[root@cc-3dfr webapps]# dnf install -y gcc make rpm-build libtool hwloc-devel \

  libX11-devel libXt-devel libedit-devel libical-devel \
  ncurses-devel perl postgresql-devel postgresql-contrib python3-devel tcl-devel \
  tk-devel swig expat-devel openssl-devel libXext libXft \
  autoconf automake gcc-c++

Rocky Linux 8 - PowerTools 11 kB/s | 4.8 kB 00:00
Package gcc-8.5.0-15.el8.x86_64 is already installed.
Package make-1:4.2.1-11.el8.x86_64 is already installed.
Package rpm-build-4.14.3-24.el8_7.x86_64 is already installed.
Package libtool-2.4.6-25.el8.x86_64 is already installed.
Package hwloc-devel-2.2.0-3.el8.x86_64 is already installed.
Package libX11-devel-1.6.8-5.el8.x86_64 is already installed.
Package libXt-devel-1.1.5-12.el8.x86_64 is already installed.
Package libedit-devel-3.1-23.20170329cvs.el8.x86_64 is already installed.
Package libical-devel-3.0.3-3.el8.x86_64 is already installed.
Package ncurses-devel-6.1-9.20180224.el8.x86_64 is already installed.
Package perl-4:5.26.3-421.el8.x86_64 is already installed.
Package postgresql12-devel-12.13-1PGDG.rhel8.x86_64 is already installed.
Package postgresql12-contrib-12.13-1PGDG.rhel8.x86_64 is already installed.
Package python36-devel-3.6.8-38.module+el8.5.0+671+195e4563.x86_64 is already installed.
Package tcl-devel-1:8.6.8-2.el8.x86_64 is already installed.
Package tk-devel-1:8.6.8-1.el8.x86_64 is already installed.
Package swig-3.0.12-19.module+el8.4.0+385+82b6e804.x86_64 is already installed.
Package expat-devel-2.2.5-10.el8.x86_64 is already installed.
Package openssl-devel-1:1.1.1k-7.el8_6.x86_64 is already installed.
Package libXext-1.3.4-1.el8.x86_64 is already installed.
Package libXft-2.3.3-1.el8.x86_64 is already installed.
Package autoconf-2.69-29.el8.noarch is already installed.
Package automake-1.16.1-7.el8.noarch is already installed.
Package gcc-c+±8.5.0-15.el8.x86_64 is already installed.
Dependencies resolved.
Nothing to do.
Complete!
[root@cc-3dfr webapps]# yum install -y expat libedit postgresql-server postgresql-contrib python3 \

  sendmail sudo tcl tk libical

Last metadata expiration check: 0:00:15 ago on Tue 10 Jan 2023 02:11:45 PM EST.
Package expat-2.2.5-10.el8.x86_64 is already installed.
Package libedit-3.1-23.20170329cvs.el8.x86_64 is already installed.
Package postgresql12-server-12.13-1PGDG.rhel8.x86_64 is already installed.
Package postgresql12-contrib-12.13-1PGDG.rhel8.x86_64 is already installed.
Package python36-3.6.8-38.module+el8.5.0+671+195e4563.x86_64 is already installed.
Package sendmail-8.15.2-34.el8.x86_64 is already installed.
Package sudo-1.8.29-8.el8.x86_64 is already installed.
Package tcl-1:8.6.8-2.el8.x86_64 is already installed.
Package tk-1:8.6.8-1.el8.x86_64 is already installed.
Package libical-3.0.3-3.el8.x86_64 is already installed.
Dependencies resolved.
Nothing to do.
Complete!
[root@cc-3dfr webapps]# systemctl status postgresql-12
● postgresql-12.service - PostgreSQL 12 database server
Loaded: loaded (/usr/lib/systemd/system/postgresql-12.service; enabled; vendor preset: disabled)
Active: active (running) since Fri 2023-01-06 18:18:45 EST; 3 days ago
Docs: PostgreSQL: Documentation: 12: PostgreSQL 12.13 Documentation
Main PID: 3221144 (postmaster)
Tasks: 8 (limit: 926153)
Memory: 22.7M
CGroup: /system.slice/postgresql-12.service
├─3221144 /usr/pgsql-12/bin/postmaster -D /var/lib/pgsql/12/data/
├─3221148 postgres: logger
├─3221150 postgres: checkpointer
├─3221151 postgres: background writer
├─3221152 postgres: walwriter
├─3221153 postgres: autovacuum launcher
├─3221154 postgres: stats collector
└─3221155 postgres: logical replication launcher

Jan 06 18:18:45 cc-3dfr postmaster[3221144]: 2023-01-06 18:18:45.285 EST [3221144] LOG: starting PostgreSQL 12.13 on x86_64-pc-linux-gnu, compiled by gcc (GCC) 8.5.0 20210514 (Red Hat 8>
Jan 06 18:18:45 cc-3dfr postmaster[3221144]: 2023-01-06 18:18:45.285 EST [3221144] LOG: listening on IPv6 address “::1”, port 5432
Jan 06 18:18:45 cc-3dfr postmaster[3221144]: 2023-01-06 18:18:45.285 EST [3221144] LOG: listening on IPv4 address “127.0.0.1”, port 5432
Jan 06 18:18:45 cc-3dfr postmaster[3221144]: 2023-01-06 18:18:45.285 EST [3221144] LOG: listening on IPv4 address “127.0.1.1”, port 5432
Jan 06 18:18:45 cc-3dfr postmaster[3221144]: 2023-01-06 18:18:45.285 EST [3221144] LOG: listening on IPv4 address “10.18.62.60”, port 5432
Jan 06 18:18:45 cc-3dfr postmaster[3221144]: 2023-01-06 18:18:45.286 EST [3221144] LOG: listening on Unix socket “/var/run/postgresql/.s.PGSQL.5432”
Jan 06 18:18:45 cc-3dfr postmaster[3221144]: 2023-01-06 18:18:45.288 EST [3221144] LOG: listening on Unix socket “/tmp/.s.PGSQL.5432”
Jan 06 18:18:45 cc-3dfr postmaster[3221144]: 2023-01-06 18:18:45.298 EST [3221144] LOG: redirecting log output to logging collector process
Jan 06 18:18:45 cc-3dfr postmaster[3221144]: 2023-01-06 18:18:45.298 EST [3221144] HINT: Future log output will appear in directory “log”.
Jan 06 18:18:45 cc-3dfr systemd[1]: Started PostgreSQL 12 database server.

Sincerely,

Bill

Hi:

Please know that I have not resolved the issue. Any advice is appreciated.

Sincerely,

Bill